Bug 1135034 - EAP Patch Deploy To JON/EAP Resource Should Not Be Allowed To Take Place
Summary: EAP Patch Deploy To JON/EAP Resource Should Not Be Allowed To Take Place
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER03
: JON 3.3.0
Assignee: Lukas Krejci
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On: 1136998
Blocks: JON3-10, PRODMGT-544
TreeView+ depends on / blocked
 
Reported: 2014-08-28 17:11 UTC by Matt Mahoney
Modified: 2014-12-11 14:02 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:02:39 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1133933 None None None Never

Internal Trackers: 1133933

Description Matt Mahoney 2014-08-28 17:11:48 UTC
Description of problem:
Deploying an EAP Patch to a JON/EAP Resource is not prevented.

Currently, an EAP patch deploy to a JON/EAP Resource results in a non-recoverable corruption of the EAP.

Version-Release number of selected component (if applicable):
JON 3.3

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
JON does not prevent the user from deploying a patch to a JON/EAP Resource.

Expected results:
JON should prevent the user from deploying a patch to a JON/EAP Resource.

Additional info:

Comment 3 Lukas Krejci 2014-09-05 12:11:05 UTC
Patch proposed: https://github.com/rhq-project/rhq/pull/121

Comment 4 Thomas Segismont 2014-09-10 14:59:47 UTC
Merged in release/jon3.3.x

commit 4cedda3a24228c93f0621e3c0aa8dd6043043e32
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Wed Sep 10 16:57:51 2014 +0200

    BZs 1136996 1135034 1135107 - Check if patching is supported before trying to perform it on EAP based resource
    
    From patch file created with "git diff a3a59ff 5c39e3a"

Comment 5 Simeon Pinder 2014-09-17 02:49:34 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=385149


Note You need to log in before you can comment on or make changes to this bug.